SubscriptionContainerImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.SubscriptionContainerImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class SubscriptionContainerImpl

    java.lang.Object
      org.codehaus.activemq.service.impl.SubscriptionContainerImpl

All Implemented Interfaces:
  SubscriptionContainer

Direct Known Subclasses:
  DurableTopicSubscriptionContainerImpl

public class SubscriptionContainerImpl
extends Object
implements SubscriptionContainer

A default RAM only implementation of the `SubscriptionContainer`

Version:
  $Revision: 1.6 $

Constructor Summary
`SubscriptionContainerImpl(Map subscriptions, RedeliveryPolicy redeliveryPolicy)`
`SubscriptionContainerImpl(RedeliveryPolicy redeliveryPolicy)`

Method Summary
`protected Subscription` | `createSubscription(Dispatcher dispatcher, BrokerClient client, ConsumerInfo info, Filter filter)`
`RedeliveryPolicy` | `getRedeliveryPolicy()`
`Subscription` | `getSubscription(String consumerId)` Gets the current subscription for the given consumerId if it is available
`Set` | `getSubscriptions(ActiveMQDestination destination)`
`Subscription` | `makeSubscription(Dispatcher dispatcher, BrokerClient client, ConsumerInfo info, Filter filter)` Creates a subscription (which could be a previous subscription reconecting) and adds it to this container
`Subscription` | `removeSubscription(String consumerId)`
`Iterator` | `subscriptionIterator()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubscriptionContainerImpl

    public SubscriptionContainerImpl(RedeliveryPolicy redeliveryPolicy)

### SubscriptionContainerImpl

    public SubscriptionContainerImpl(Map subscriptions,
                                     RedeliveryPolicy redeliveryPolicy)

Method Detail

### toString

    public String toString()

### getRedeliveryPolicy

    public RedeliveryPolicy getRedeliveryPolicy()

### getSubscription

    public Subscription getSubscription(String consumerId)

  Description copied from interface: `SubscriptionContainer`
  Gets the current subscription for the given consumerId if it is available

  Specified by:
    `getSubscription` in interface `SubscriptionContainer`
  Parameters:
    `consumerId` -
  Returns:

### removeSubscription

    public Subscription removeSubscription(String consumerId)

  Specified by:
    `removeSubscription` in interface `SubscriptionContainer`

### getSubscriptions

    public Set getSubscriptions(ActiveMQDestination destination)

  Specified by:
    `getSubscriptions` in interface `SubscriptionContainer`
  Parameters:
    `destination` -
  Returns:
    a collection of subscriptions for the given destination

### subscriptionIterator

    public Iterator subscriptionIterator()

  Specified by:
    `subscriptionIterator` in interface `SubscriptionContainer`
  Returns:
    an iterator through the subscriptions

### makeSubscription

    public Subscription makeSubscription(Dispatcher dispatcher,
                                         BrokerClient client,
                                         ConsumerInfo info,
                                         Filter filter)

  Description copied from interface: `SubscriptionContainer`
  Creates a subscription (which could be a previous subscription reconecting) and adds it to this container

  Specified by:
    `makeSubscription` in interface `SubscriptionContainer`
  Parameters:
    `dispatcher` -
    `client` -
    `info` -
    `filter` -
  Returns:

### createSubscription

    protected Subscription createSubscription(Dispatcher dispatcher,
                                              BrokerClient client,
                                              ConsumerInfo info,
                                              Filter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.